com.smartxls

## Enum SheetVarType

- java.lang.Object
- - java.lang.Enum<SheetVarType>
  - - com.smartxls.SheetVarType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SheetVarType>

      public enum SheetVarType
      extends java.lang.Enum<SheetVarType>

  ignoredError_numberStoredAsText --- the attribute "numberStoredAsText" of the ignoredError for the current worksheet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ignoredError_numberStoredAsText`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SheetVarType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SheetVarType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ignoredError_numberStoredAsText

          public static final SheetVarType ignoredError_numberStoredAsText

  - ### Method Detail

    - #### values

          public static SheetVarType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SheetVarType c : SheetVarType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SheetVarType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null